
// Sélectionne tous les liens à l'intérieur de #navLinks
const allLinks = document.querySelectorAll("#navLinks a");

// Gestion du clic sur le menu mobile
document.getElementById('mobileMenu').addEventListener('click', function () {
    const navLinks = document.getElementById('navLinks');
    navLinks.classList.toggle('active');
});

// Gestion de l'activation des liens
allLinks.forEach(link => {
    link.addEventListener("click", function () {
        // Retirer "active" de tous les liens
        allLinks.forEach(l => l.classList.remove("active"));

        // Ajouter "active" seulement au lien cliqué
        this.classList.add("active");
    });
});